SW_DrawStateCache Struct Reference
Collaboration diagram for SW_DrawStateCache:
[legend]

## Data Fields

const SDL_Rect * | viewport
const SDL_Rect * | cliprect
SDL_bool | surface_cliprect_dirty

## Detailed Description

Definition at line 40 of file SDL_render_sw.c.

## Field Documentation

## cliprect

const SDL_Rect* SW_DrawStateCache::cliprect

Definition at line 43 of file SDL_render_sw.c.

Referenced by SetDrawState(), and SW_RunCommandQueue().

## surface_cliprect_dirty

SDL_bool SW_DrawStateCache::surface_cliprect_dirty

Definition at line 44 of file SDL_render_sw.c.

Referenced by SetDrawState(), and SW_RunCommandQueue().

## viewport

const SDL_Rect* SW_DrawStateCache::viewport

Definition at line 42 of file SDL_render_sw.c.

Referenced by SetDrawState(), and SW_RunCommandQueue().

The documentation for this struct was generated from the following file:

- src/render/software/SDL_render_sw.c